<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <RootNamespace>PSCHelpdesk.Plugins.HetznerServer</RootNamespace>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <DebugType>portable</DebugType>
    </PropertyGroup>

    <ItemGroup>
      <Compile Update="Views\ServerView.axaml.cs">
        <DependentUpon>ServerView.axaml</DependentUpon>
        <SubType>Code</SubType>
      </Compile>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Shared\Shared.csproj" />
      <ProjectReference Include="..\Vendor\Prise.Plugin\Prise.Plugin.csproj" />
      <ProjectReference Include="..\Vendor\Prise.Proxy\Prise.Proxy.csproj" />
      <ProjectReference Include="..\Vendor\Prise.ReverseProxy\Prise.ReverseProxy.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Avalonia.Controls">
        <HintPath>..\..\..\.nuget\packages\avalonia\11.2.0\ref\net8.0\Avalonia.Controls.dll</HintPath>
      </Reference>
      <Reference Include="Avalonia.Controls.DataGrid">
        <HintPath>..\..\..\.nuget\packages\avalonia.controls.datagrid\11.2.0\lib\net8.0\Avalonia.Controls.DataGrid.dll</HintPath>
      </Reference>
      <Reference Include="CommunityToolkit.Mvvm">
        <HintPath>..\..\..\.nuget\packages\communitytoolkit.mvvm\8.2.1\lib\net6.0\CommunityToolkit.Mvvm.dll</HintPath>
      </Reference>
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Avalonia" Version="11.2.0" />
      <PackageReference Include="Avalonia.ReactiveUI" Version="11.2.0" />
      <PackageReference Include="Avalonia.Xaml.Behaviors" Version="11.2.0" />
      <PackageReference Include="Avalonia.Xaml.Interactions" Version="11.2.0" />
      <PackageReference Include="HetznerCloud.API" Version="1.1.9" />
      <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.1" />
    </ItemGroup>

</Project>
